API Direct
Endpoints
Instagram User Profile

Instagram User Profile

GET /v1/instagram/user

Get the full profile for a single Instagram user by username or profile URL. Returns biography, follower / following counts, media count, category, external link, contact info, and verification status.

Cost
$0.006 per request
Free tier
50 requests/month

Parameters

username
Instagram username, with or without leading @ (max 100 characters). Provide either username or url.
url
Instagram profile URL, e.g. https://instagram.com/natgeo (max 500 characters). Provide either username or url.

Example Request

curl "https://apidirect.io/v1/instagram/user?username=natgeo" \
  -H "X-API-Key: YOUR_API_KEY"

Example Response

{
  "user": {
    "username": "natgeo",
    "full_name": "National Geographic",
    "user_id": "787132",
    "biography": "Step into wonder and find your inner explorer with National Geographic 🌎",
    "follower_count": 274777448,
    "following_count": 194,
    "media_count": 31593,
    "is_verified": true,
    "is_private": false,
    "is_business": true,
    "category": "",
    "external_url": "http://visitstore.bio/natgeo",
    "bio_links": [
      {
        "url": "http://visitstore.bio/natgeo",
        "title": ""
      }
    ],
    "profile_pic_url": "https://scontent.cdninstagram.com/.../photo.jpg",
    "profile_pic_url_hd": "https://scontent.cdninstagram.com/.../photo_hd.jpg",
    "public_email": "",
    "public_phone_number": "",
    "url": "https://instagram.com/natgeo"
  }
}

Your Usage

Free tier this month
Loading...
Recent Activity